/**
  ******************************************************************************
  * @file    7953_drivers.h
  * @author  Lukas Michalik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */


#define ADE7953_CS_LOW()       GPIO_ResetBits(ADE7953_SPI_CS_GPIO_PORT, ADE7953_SPI_CS_PIN)
#define ADE7953_CS_HIGH()      GPIO_SetBits(ADE7953_SPI_CS_GPIO_PORT, ADE7953_SPI_CS_PIN)

#define LIS302DL_FLAG_TIMEOUT         ((uint32_t)0x1000)


uint16_t SendByte_7953(uint16_t byte);
uint32_t TIMEOUT_UserCallback_7953(void);
void Read_7953(uint16_t* pBuffer, uint16_t ReadAddr, uint16_t NumByteToRead);
void set_7953(void);
void Write_7953(uint16_t* pBuffer, uint16_t WriteAddr, uint16_t NumByteToWrite);



